Latest 2.1.4
License MIT
Platforms ios 8.0, requires ARC
Dependencies FBSDKCoreKit
Frameworks UIKit, Foundation


CocoaPods is a dependency manager for Cocoa projects. You can install it with the following command:

$ gem install cocoapods

To integrate Bys-Mobile-Ads-SDK into your Xcode project using CocoaPods, specify it in your Podfile:

source ''
platform :ios, '8.0'

target '<Your Target Name>' do
    pod 'Bys-Mobile-Ads-SDK', '~> 2.1.4'

Then, run the following command:

$ pod install


After some setup, using Bys-Mobile-Ads-SDK is really simple. You can access an API like this

#import "AppDelegate.h"
#import <BYSDKMobileAds/BYSDKMobileAds.h>

@interface AppDelegate ()


@implementation AppDelegate
- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    // Override point for customization after application launch.
    [BYSDKAppInstall setAppID:@""];
    return YES;

Latest podspec

    "name": "Bys-Mobile-Ads-SDK",
    "version": "2.1.4",
    "summary": "Bys-Mobile-Ads-SDK",
    "description": "Bys-Mobile-Ads-SDK (2.1.4)",
    "homepage": "",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    "authors": {
        "TemaSir": "[email protected]"
    "platforms": {
        "ios": "8.0"
    "source": {
        "git": "",
        "tag": "2.1.4"
    "frameworks": [
    "requires_arc": true,
    "ios": {
        "vendored_frameworks": "BysMobileAds_sdk/BYSDKMobileAds.framework"
    "dependencies": {
        "FBSDKCoreKit": []

Pin It on Pinterest

Share This